---
title: RTCIceCandidateStats.protocol
slug: Web/API/RTCIceCandidateStats/protocol
tags:
  - API
  - Candidate
  - ICE
  - Media
  - Property
  - Protocol
  - RTCIceCandidateStats
  - Reference
  - Statistics
  - Stats
  - Transport
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}</div>

<p>The {{domxref("RTCIceCandidateStats")}} dictionary's <code><strong>protocol</strong></code>  property specifies the protocol the specified candidate would use for communication with the remote peer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>protocol</em> = <em>rtcIceCandidateStats</em>.protocol;</pre>

<h3 id="Value">Value</h3>

<p>The value is one of the members of the {{domxref("RTCIceProtocol")}} enumerated string type:</p>

<p>{{page("/en-US/docs/Web/API/RTCIceProtocol", "Values")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatestats-protocol', 'RTCIceCandidateStats.protocol') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.protocol")}}</p>
